using System;
using System.Collections;
using System.ComponentModel;
using DevExpress.XtraReports.UI;
using BeWo.Report.ReportObjects;
using BeWo.Report;

namespace BeWo.BeWoAlsdorf
{
    public partial class Stundenzettel : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<ServicesOverviewRO>
    {
        public Stundenzettel()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(ServicesOverviewRO pRO)
        {

	        if (pRO.CostBearer2SupportConceptList.Count > 0)
	        {
		        lblApprovalDate.Text = String.Format("{0:dd.MM.yyyy}",
			        pRO.CostBearer2SupportConceptList[0].SupportConcept.ApprovalDate);
	        }
            this.bindingSource1.DataSource = pRO;
        }
    }
}
